Subject: Re: [PATCH 4/4] git-daemon support for user-relative paths.

From: Andreas Ericsson <[email-masked]>
Date: Wed, 02 Nov 2005 10:39:15 +0100

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
> 
>>Junio C Hamano wrote:
>>
>>>>-static int log_syslog;
>>>>+static int log_syslog = 0;
>>>
>>>I'd drop this.
>>
>>No can do. It has to be set either here or down in main. It's nice to 
>>have the default in the declaration.
> 
> 
> Isn't "static int log_syslog" in BSS to be initialized to zero anyway?
> 

I would have thought so, but it wasn't when I tested it. This could be a 
compiler-bug in my end, I suppose, but spelling it out enhances 
readability and leaves no room for doubt which is always nice.

>>
>>Ok. I'll take that to mean "hold off on the --server-root and --userdir 
>>patch for a while" then.
> 
> 
> I do not mind keeping it in the proposed updates branch for
> people to see and experiment with, but not in the master branch,
> at least for now.
> 

I'll cook it up then.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231